Package org.eclipse.net4j.util.ui.actions

# Class SashLayoutAction.Vertical

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.net4j.util.ui.actions.SafeAction
org.eclipse.net4j.util.ui.actions.SashLayoutAction
org.eclipse.net4j.util.ui.actions.SashLayoutAction.Vertical

All Implemented Interfaces:
  `EventListener`, `IAction`, `IListener`

Enclosing class:
  SashLayoutAction

public static class SashLayoutAction.Vertical extends SashLayoutAction

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.actions.SashLayoutAction

`SashLayoutAction.Horizontal, SashLayoutAction.LayoutMenu, SashLayoutAction.Vertical`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`INTERACTIVE`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`Vertical(SashComposite sashComposite)`

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyEvent(IEvent event)`
`protected void`
`safeRun()`

### Methods inherited from class org.eclipse.net4j.util.ui.actions.SashLayoutAction

`dispose, getSashComposite`

### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

`getShell, run`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Vertical

public Vertical(SashComposite sashComposite)

## Method Details

### safeRun

protected void safeRun() throws Exception

Specified by:
  `safeRun` in class `SafeAction`
Throws:
  `Exception`

### notifyEvent

public void notifyEvent(IEvent event)

Since:
  2.0